org.springframework.web.portlet

## Class NoHandlerFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.portlet.PortletException
      - - org.springframework.web.portlet.NoHandlerFoundException

All Implemented Interfaces:
  Serializable

    public class NoHandlerFoundException
    extends PortletException

Exception to be thrown if DispatcherPortlet is unable to determine a corresponding handler for an incoming portlet request.

Since:
  3.0.5
Author:
  Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoHandlerFoundException(String msg)` Constructor for NoHandlerFoundException.
`NoHandlerFoundException(String msg, PortletRequest request)` Constructor for NoHandlerFoundException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoHandlerFoundException

    public NoHandlerFoundException(String msg)

Constructor for NoHandlerFoundException.

Parameters:
  `msg` - the detail message

#### NoHandlerFoundException

    public NoHandlerFoundException(String msg,
                           PortletRequest request)

Constructor for NoHandlerFoundException.

Parameters:
  `msg` - the detail message
  `request` - the current portlet request, for further context to be included in the exception message